import type { ValidationOptions } from 'class-validator';
/** @hidden */
export declare const IS_DURATION = "isDuration";
/**
 * Checks if the given value is a Dayjs Duration object.
 *
 * This requires the Duration-plugin to be loaded. If this is not the case, an error will be thrown.
 *
 * #### Example
 * ```typescript
 * // Ensure the value is a Dayjs Duration object.
 * @IsDuration()
 * value: Duration
 * ```
 *
 * @category Type
 * @param options Generic class-validator options.
 */
export declare function IsDuration(options?: ValidationOptions): PropertyDecorator;
